| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::BaseChannelRoomConfigInterface Class Reference
Connection manager service implementation

Base class for implementations of Channel.Interface.RoomConfig1. More...

`#include <TelepathyQt/BaseChannel>`

Inherits Tp::AbstractChannelInterface.

## Public Types

typedef Callback2< void, const QVariantMap &, DBusError * > | UpdateConfigurationCallback

## Public Member Functions

virtual | ~BaseChannelRoomConfigInterface ()
QVariantMap | immutableProperties () const
bool | anonymous () const
void | setAnonymous (bool anonymous)
bool | inviteOnly () const
void | setInviteOnly (bool inviteOnly)
uint | limit () const
void | setLimit (uint limit)
bool | moderated () const
void | setModerated (bool moderated)
QString | title () const
void | setTitle (const QString &title)
QString | description () const
void | setDescription (const QString &description)
bool | persistent () const
void | setPersistent (bool persistent)
bool | isPrivate () const
void | setPrivate (bool newPrivate)
bool | passwordProtected () const
void | setPasswordProtected (bool passwordProtected)
QString | password () const
void | setPassword (const QString &password)
QString | passwordHint () const
void | setPasswordHint (const QString &passwordHint)
bool | canUpdateConfiguration () const
void | setCanUpdateConfiguration (bool canUpdateConfiguration)
QStringList | mutableProperties () const
void | setMutableProperties (const QStringList &mutableProperties)
bool | configurationRetrieved () const
void | setConfigurationRetrieved (bool configurationRetrieved)
void | setUpdateConfigurationCallback (const UpdateConfigurationCallback &cb)
void | updateConfiguration (const QVariantMap &properties, DBusError *error)
Public Member Functions inherited from Tp::AbstractChannelInterface
| AbstractChannelInterface (const QString &interfaceName)
virtual | ~AbstractChannelInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions

static BaseChannelRoomConfigInterfacePtr | create ()
template<typename BaseChannelRoomConfigInterfaceSubclass >
static SharedPtr < BaseChannelRoomConfigInterfaceSubclass > | create ()

## Protected Member Functions

| BaseChannelRoomConfigInterface ()
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Additional Inherited Members

Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Detailed Description

Base class for implementations of Channel.Interface.RoomConfig1.

## Member Typedef Documentation

typedef Callback2<void, const QVariantMap &, DBusError*> Tp::BaseChannelRoomConfigInterface::UpdateConfigurationCallback

## Constructor & Destructor Documentation

Tp::BaseChannelRoomConfigInterface::~BaseChannelRoomConfigInterface | ( |  | ) |

virtual

Class destructor.

Tp::BaseChannelRoomConfigInterface::BaseChannelRoomConfigInterface | ( |  | ) |

protected

Class constructor.

## Member Function Documentation

static BaseChannelRoomConfigInterfacePtr Tp::BaseChannelRoomConfigInterface::create | ( |  | ) |

inline static

template<typename BaseChannelRoomConfigInterfaceSubclass >

static SharedPtr<BaseChannelRoomConfigInterfaceSubclass> Tp::BaseChannelRoomConfigInterface::create | ( |  | ) |

inline static

QVariantMap Tp::BaseChannelRoomConfigInterface::immutableProperties | ( |  | ) | const

virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

bool Tp::BaseChannelRoomConfigInterface::anonymous | ( |  | ) | const

void Tp::BaseChannelRoomConfigInterface::setAnonymous | ( | bool | anonymous | ) |

bool Tp::BaseChannelRoomConfigInterface::inviteOnly | ( |  | ) | const

void Tp::BaseChannelRoomConfigInterface::setInviteOnly | ( | bool | inviteOnly | ) |

uint Tp::BaseChannelRoomConfigInterface::limit | ( |  | ) | const

void Tp::BaseChannelRoomConfigInterface::setLimit | ( | uint | limit | ) |

bool Tp::BaseChannelRoomConfigInterface::moderated | ( |  | ) | const

void Tp::BaseChannelRoomConfigInterface::setModerated | ( | bool | moderated | ) |

QString Tp::BaseChannelRoomConfigInterface::title | ( |  | ) | const

void Tp::BaseChannelRoomConfigInterface::setTitle | ( | const QString & | title | ) |

QString Tp::BaseChannelRoomConfigInterface::description | ( |  | ) | const

void Tp::BaseChannelRoomConfigInterface::setDescription | ( | const QString & | description | ) |

bool Tp::BaseChannelRoomConfigInterface::persistent | ( |  | ) | const

void Tp::BaseChannelRoomConfigInterface::setPersistent | ( | bool | persistent | ) |

bool Tp::BaseChannelRoomConfigInterface::isPrivate | ( |  | ) | const

void Tp::BaseChannelRoomConfigInterface::setPrivate | ( | bool | newPrivate | ) |

bool Tp::BaseChannelRoomConfigInterface::passwordProtected | ( |  | ) | const

void Tp::BaseChannelRoomConfigInterface::setPasswordProtected | ( | bool | passwordProtected | ) |

QString Tp::BaseChannelRoomConfigInterface::password | ( |  | ) | const

void Tp::BaseChannelRoomConfigInterface::setPassword | ( | const QString & | password | ) |

QString Tp::BaseChannelRoomConfigInterface::passwordHint | ( |  | ) | const

void Tp::BaseChannelRoomConfigInterface::setPasswordHint | ( | const QString & | passwordHint | ) |

bool Tp::BaseChannelRoomConfigInterface::canUpdateConfiguration | ( |  | ) | const

void Tp::BaseChannelRoomConfigInterface::setCanUpdateConfiguration | ( | bool | canUpdateConfiguration | ) |

QStringList Tp::BaseChannelRoomConfigInterface::mutableProperties | ( |  | ) | const

void Tp::BaseChannelRoomConfigInterface::setMutableProperties | ( | const QStringList & | mutableProperties | ) |

bool Tp::BaseChannelRoomConfigInterface::configurationRetrieved | ( |  | ) | const

void Tp::BaseChannelRoomConfigInterface::setConfigurationRetrieved | ( | bool | configurationRetrieved | ) |

void Tp::BaseChannelRoomConfigInterface::setUpdateConfigurationCallback | ( | const UpdateConfigurationCallback & | cb | ) |

void Tp::BaseChannelRoomConfigInterface::updateConfiguration | ( | const QVariantMap & | properties,
|  | DBusError * | error
| ) |  |